summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Ricardson Williams <ricardsonwilliams@yahoo.com.br>2010-05-11 14:56:22 +0200
committer Alan Hicks <alan@lizella.net>2010-05-11 14:56:22 +0200
commitb197b2bd23a8bfe398e2bdc37235156e3c391e9d (patch)
treed7c9263beb1131939585eb639ccf10ef1e2331bb /libraries
parent8f20ca46bdedc54a19fa4981af92b03813ceb326 (diff)
downloadslackbuilds-b197b2bd23a8bfe398e2bdc37235156e3c391e9d.tar.gz
slackbuilds-b197b2bd23a8bfe398e2bdc37235156e3c391e9d.tar.xz
libraries/lzo: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/lzo/README2
-rw-r--r--libraries/lzo/lzo.SlackBuild68
-rw-r--r--libraries/lzo/lzo.info8
-rw-r--r--libraries/lzo/slack-desc10
4 files changed, 88 insertions, 0 deletions
diff --git a/libraries/lzo/README b/libraries/lzo/README
new file mode 100644
index 0000000000..190ad37b42
--- /dev/null
+++ b/libraries/lzo/README
@@ -0,0 +1,2 @@
+LZO is a portable lossless data compression library written in ANSI C.
+It offers pretty fast compression and very fast decompression.
diff --git a/libraries/lzo/lzo.SlackBuild b/libraries/lzo/lzo.SlackBuild
new file mode 100644
index 0000000000..0d47849447
--- /dev/null
+++ b/libraries/lzo/lzo.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for lzo
+
+# Copyright 2006 Ricardson Williams <ricardsonwilliams at yahoo.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=lzo
+VERSION=2.02
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr || exit 1
+
+make || exit 1
+make check || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS Changelog \
+ doc/* examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/lzo/lzo.info b/libraries/lzo/lzo.info
new file mode 100644
index 0000000000..fd72d81d75
--- /dev/null
+++ b/libraries/lzo/lzo.info
@@ -0,0 +1,8 @@
+PRGNAM="lzo"
+VERSION="2.0.2"
+HOMEPAGE="http://www.oberhumer.com/opensource/lzo/"
+DOWNLOAD="http://www.oberhumer.com/opensource/lzo/download/lzo-2.02.tar.gz"
+MD5SUM="6760e5819f4238328709bf93bf10071c"
+MAINTAINER="Ricardson Williams"
+EMAIL="ricardsonwilliams@yahoo.com.br"
+APPROVED="Alan Hicks,rworkman"
diff --git a/libraries/lzo/slack-desc b/libraries/lzo/slack-desc
new file mode 100644
index 0000000000..22945ac657
--- /dev/null
+++ b/libraries/lzo/slack-desc
@@ -0,0 +1,10 @@
+lzo: LZO Compression Library
+lzo:
+lzo: LZO is a portable lossless data compression library written in ANSI C.
+lzo: It offers pretty fast compression and very fast decompression.
+lzo:
+lzo: Homepage: http://www.oberhumer.com/opensource/lzo/
+lzo:
+lzo:
+lzo:
+lzo: